<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <title>CarRental &mdash; Free Website Template by Colorlib</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700;900&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="fonts/icomoon/style.css">

    <link rel="stylesheet" href="/css/bootstrap.min.css">
    <link rel="stylesheet" href="/css/bootstrap-datepicker.css">
    <link rel="stylesheet" href="/css/jquery.fancybox.min.css">
    <link rel="stylesheet" href="/css/owl.carousel.min.css">
    <link rel="stylesheet" href="/css/owl.theme.default.min.css">
    <link rel="stylesheet" href="/fonts/flaticon/font/flaticon.css">
    <link rel="stylesheet" href="/css/aos.css">

    <!-- MAIN CSS -->
    <link rel="stylesheet" href="/css/style.css">

</head>

<body>


<div class="site-wrap" id="home-section">

    <div class="site-mobile-menu site-navbar-target">
        <div class="site-mobile-menu-header">
            <div class="site-mobile-menu-close mt-3">
                <span class="icon-close2 js-menu-toggle"></span>
            </div>
        </div>
        <div class="site-mobile-menu-body"></div>
    </div>


    <header class="site-navbar site-navbar-target" role="banner">

        <div class="container">
            <div class="row align-items-center position-relative">

                <div class="col-3">
                    <div class="site-logo">
                        <a th:href="@{/}"><strong>CarRental</strong></a>
                    </div>
                </div>

                <div th:replace="fragments/navbar :: navbar"></div>


            </div>
        </div>

    </header>


    <div class="hero" style="background-image: url('/images/hero_1_a.jpg');">

        <div class="container">
            <div class="row align-items-center justify-content-center">
                <div class="col-lg-10">

                    <div class="row mb-5">
                        <div class="col-lg-7 intro">
                            <h1><strong>Rent a car</strong> is within your finger tips.</h1>
                        </div>
                    </div>

                    <form th:action="@{/car/searchCar}" class="trip-form" th:object="${searchedCar}" method="post">

                        <div class="row align-items-center">

                            <div class="mb-3 mb-md-0 col-md-3">
                                <select name="brand" id="CarBrand" class="custom-select form-control"
                                        th:field="*{brand}">
                                    <option value="">Select Brand</option>
                                    <option th:each="brand : ${availableBrands}"
                                            th:value="${brand}"
                                            th:text="${brand}"></option>
                                </select>
                            </div>
                            <div class="mb-3 mb-md-0 col-md-3">
                                <select th:field="*{model}" name="CarModel" id="CarModel"
                                        class="custom-select form-control">
                                    <option value="">Select Model</option>
                                    <option value="M8"> M8</option>
                                    <option value="A8"> A8</option>
                                    <option value="GR Supra"> GR Supra</option>
                                    <option value="1300"> 1300</option>
                                    <option value="Aventador"> Aventador</option>
                                    <option value="Patrol"> Patrol</option>
                                    <option value="Vito"> Vito</option>

                                </select>
                            </div>
                            <div class="mb-3 mb-md-0 col-md-3">
                                <select th:field="*{bodyType}" name="CarBody" id="CarBody"
                                        class="custom-select form-control">
                                    <option value="">Select Body Type</option>
                                    <option value="berlin"> Berlin</option>
                                    <option value="Limousine"> Limousine</option>
                                    <option value="Sport"> Sport</option>
                                    <option value="Off Road"> Off Road</option>
                                    <option value="Van"> Van</option>
                                </select>
                            </div>
                            <div class="mb-3 mb-md-0 col-md-3">
                                <input type="number" th:field="*{year}" name="CarYear" id="CarYear"
                                       class="custom-select form-control"/>

                            </div>
                            <div class="mb-3 mb-md-0 col-md-3">
                                <input type="submit" value="Search Now" class="btn btn-primary btn-block py-3">
                            </div>
                        </div>

                    </form>

                </div>
            </div>
        </div>
    </div>


    <div class="site-section">
        <div class="container">
            <h2 class="section-heading"><strong>How it works?</strong></h2>
            <p class="mb-5">Easy steps to get you started</p>

            <div class="row mb-5">
                <div class="col-lg-4 mb-4 mb-lg-0">
                    <div class="step">
                        <span>1</span>
                        <div class="step-inner">
                            <span class="number text-primary">01.</span>
                            <h3>Select a car</h3>
                            <p>Select a car that you like from our fleet! </p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 mb-4 mb-lg-0">
                    <div class="step">
                        <span>2</span>
                        <div class="step-inner">
                            <span class="number text-primary">02.</span>
                            <h3>Fill up form</h3>
                            <p>Fill up the form with all our requirements! </p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 mb-4 mb-lg-0">
                    <div class="step">
                        <span>3</span>
                        <div class="step-inner">
                            <span class="number text-primary">03.</span>
                            <h3>Book</h3>
                            <p>Book your car and we take care of all!</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="site-section">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 text-center order-lg-2">
                    <div class="img-wrap-1 mb-5">
                        <img src="/images/feature_01.png" alt="Image" class="img-fluid">
                    </div>
                </div>
                <div class="col-lg-4 ml-auto order-lg-1">
                    <h3 class="mb-4 section-heading"><strong>Why should rent from us?</strong>
                    </h3>
                    <p class="mb-5">One of the benefits of renting a car is that there are no maintenance costs or
                        repair bills. This means that when you rent a car from us, we assumes full responsibility for
                        all maintenance and repairs.</p>

                    <p><a th:href="@{/reservation/add}" class="btn btn-primary">Rent a car now</a></p>
                </div>
            </div>
        </div>
    </div>


    <div class="site-section bg-light">
        <div class="container">
            <div class="row">
                <div class="col-lg-7">
                    <h2 id="Listing" class="section-heading"><strong>Car Listings</strong></h2>
                    <p class="mb-5">We have the best cars</p>
                </div>
            </div>


            <div class="row">
                <div class="col-md-6 col-lg-4 mb-4" th:each="car : ${carList}">

                    <div class="listing d-block  align-items-stretch">
                        <div class="listing-img h-100 mr-4">
                            <img th:src="*{'data:image/jpeg;base64, ' + car.image}" width="500" height="500" alt="Image"
                                 class="img-fluid">
                        </div>
                        <div class="listing-contents h-100">
                            <h3 th:text="${car.brand}"></h3>
                            <div class="rent-price">
                                <strong th:text="${#numbers.formatCurrency(car.amountPerDay)}"></strong><span
                                    class="mx-1">/</span>day
                            </div>
                            <div class="d-block d-md-flex mb-3 border-bottom pb-3">
                                <div class="listing-feature pr-4">
                                    <span class="caption">Body Type:</span>
                                    <span class="text-dark" th:text="${car.bodyType}"></span>
                                </div>
                                <div class="listing-feature pr-4">
                                    <span class="caption">Model:</span>
                                    <span class="text-dark" th:text="${car.model}"></span>
                                </div>
                                <div class="listing-feature pr-4">
                                    <span class="caption">Year:</span>
                                    <span class="number" th:text="${car.year}"></span>
                                </div>
                                <div class="listing-feature pr-4">
                                    <span class="caption">Kilometers:</span>
                                    <span class="number" th:text="${car.kilometers}"></span>
                                </div>
                            </div>
                            <div>
                                <p th:text="${car.description}"></p>
                                <p><a th:href="@{reservation/book/{id}(id=${car.id})}" class="btn btn-primary btn-sm">Rent
                                    Now</a></p>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="site-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-7">
                    <h2 id="Testimonials" class="section-heading"><strong>Testimonials</strong></h2>
                    <p class="mb-5">Our happy customers</p>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-4 mb-4 mb-lg-0">
                    <div class="testimonial-2">
                        <blockquote class="mb-4">
                            <p>"Hi, we just came back from holidays. We rented through your company for the first time
                                and were extremely happy with your car and service"</p>
                        </blockquote>
                        <div class="d-flex v-card align-items-center">
                            <img src="/images/person_1.jpg" alt="Image" class="img-fluid mr-3">
                            <div class="author-name">
                                <span class="d-block">Marius Moldovan</span>
                                <span>Owner, Volvo</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 mb-4 mb-lg-0">
                    <div class="testimonial-2">
                        <blockquote class="mb-4">
                            <p>"Firstly, I am absolutely delighted with the car and the service that I received when I
                                collected it on Saturday. I was very impressed, thank you!</p>
                        </blockquote>
                        <div class="d-flex v-card align-items-center">
                            <img src="/images/Mia.jpg" alt="Image" class="img-fluid mr-3">
                            <div class="author-name">
                                <span class="d-block">Mia Ciceu</span>
                                <span>Traveler</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 mb-4 mb-lg-0">
                    <div class="testimonial-2">
                        <blockquote class="mb-4">
                            <p>"It worked very well and it was the most simple way to rent a car ever. No paperwork and
                                simple petrol filling, perfect."</p>
                        </blockquote>
                        <div class="d-flex v-card align-items-center">
                            <img src="/images/person_3.jpg" alt="Image" class="img-fluid mr-3">
                            <div class="author-name">
                                <span class="d-block">Ecaterina Iuga</span>
                                <span>Customer</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="site-section bg-primary py-5">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 mb-4 mb-md-0">
                    <h2 class="mb-0 text-white">What are you waiting for?</h2>
                    <p class="mb-0 opa-7">Rent your car right now!</p>
                </div>
                <div class="col-lg-5 text-md-right">
                    <a th:href="@{reservation/add}" class="btn btn-primary btn-white">Rent a car now</a>
                </div>
            </div>
        </div>
    </div>


    <div th:replace="fragments/footer :: footer"></div>

</div>

<script src="/js/jquery-3.3.1.min.js"></script>
<script src="/js/popper.min.js"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="/js/owl.carousel.min.js"></script>
<script src="/js/jquery.sticky.js"></script>
<script src="/js/jquery.waypoints.min.js"></script>
<script src="/js/jquery.animateNumber.min.js"></script>
<script src="/js/jquery.fancybox.min.js"></script>
<script src="/js/jquery.easing.1.3.js"></script>
<script src="/js/bootstrap-datepicker.min.js"></script>
<script src="/js/aos.js"></script>

<script src="/js/main.js"></script>

</body>

</html>

